﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<Keysystems.MCUB.Models.DocumentList>" %>
<%@ Import Namespace="Keysystems.MCUB" %>
<%@ Import Namespace="Keysystems.MCUB.Models" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	<%: Model.Title %>
</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="Header" runat="server">
	<script type="text/javascript">
		function show_doc_sources(menuid, docid) {
			$.ajax({
				url: BaseAppPath + 'Ajax/GetDocSources',
				dataType: "json",
				data: { MenuId: menuid, DocId: docid },
				cache: false,
				success: function (data, textStatus) {
					var box = "<div><table width='500'>";
					for (var p in data) {
						box += "<tr height='24'><td width='150'>" + data[p].Date + "</td><td><a target='_blank' href='" + BaseAppPath + "Document/Source/" + menuid + "/" + docid + "/" + data[p].Id + "'>" + data[p].Filename + "&nbsp; </a></td></tr>";
					}
					box += "</table></div>";

					$.modal(box, { overlayClose: true, maxHeight: 500, minWidth: 550 });

				},
				error: function (XMLHttpRequest, textStatus, errorThrown) {
					window.alert(textStatus);
				}
			});
		}
	</script>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
<%
	string BlockBody = "";
	var doclist = Model.DocList;
	if (doclist.Count == 0)
	{
		BlockBody = "<b>Список пуст</b>";
	}
	else
	{
		string doclistheader = "", doclistbody = "";

		bool headReady = false;
		int rowN = 1;
		int rowCount = 0;
		int iColSum = -1;
		foreach (var doc in doclist)
		{
			doclistbody += String.Format("<tr class='row{0}'>", rowN);
			int ncol = 0;
			foreach (string key in Model.dictViewFieldNames.Keys)
			{
				string val = Model.dictViewFieldNames[key];
				if (!headReady)
				{
					string addw = "";
					if (key == "NUMBER")
					{
						addw = " width='100'";
					}
					if (doclist[0].Data[val] is DateTime)
					{
						addw = " width='80'";
					}
					else if (doclist[0].Data[val] is Decimal)
					{
						addw = " width='100'";
						iColSum = ncol;
					}
					doclistheader += "<th"+addw+">" + Html.Encode(val) + "</th>";
				}

				string cell;
				string tdpf = "";
				if (doc.Data[val] is DateTime)
				{
					cell = ((DateTime)doc.Data[val]).ToString("dd.MM.yyyy");
				}
				else if (doc.Data[val] is Decimal)
				{
					cell = String.Format("{0:C}",(Decimal)doc.Data[val]);
					tdpf = " align='right'";
				}
				else{
					cell = Html.Encode(doc.Data[val]);
				}

				doclistbody += string.Format("<td{4}><a href='{0}Document/PrintDoc/{1}/{2}'>{3}</a></td>",
					Base.Vars.BaseAppPath,
					Model.MenuID,
					doc.Data["link"],
					cell,
					tdpf
				);

				ncol++;
			}

			if (!headReady)
			{
				if (Model.EDS)
				{
					doclistheader += "<th width='40'>ЭЦП</th>";
				}
				if (Model.OD)
				{
					doclistheader += "<th width='40'>ОД</th>";
				}
			}

			if (Model.EDS)
			{
				if (doc.EDS == true)
				{
					doclistbody += String.Format("<td>&nbsp; <img src='{0}content/images/sign.png'/></td>", Base.Vars.BaseAppPath); ;
				}
				else
				{
					doclistbody += String.Format("<td>&nbsp;</td>", Base.Vars.BaseAppPath); ;
				}
			}
			if (Model.OD)
			{
				if (doc.OD == true)
				{
					doclistbody += String.Format("<td>&nbsp; <a href='#' onclick='show_doc_sources({1},{2});return false;'><img alt='ОД' src='{0}content/images/scan.png'/></a></td>", Base.Vars.BaseAppPath, Model.MenuID, doc.Data["link"]);
				}
				else
				{
					doclistbody += String.Format("<td>&nbsp;</td>", Base.Vars.BaseAppPath);
				}
			}
									
			doclistbody += "</tr>";

			rowN = 3 - rowN;
			headReady = true;
			rowCount++;
			if (rowCount == 20)
			{
				break;
			}
		}
		
		BlockBody = String.Format("<table class='simpletable' border='0' cellpading='2' cellspacing='0'><tr>{0}</tr>{1}</table>", doclistheader, doclistbody);
	}

	Html.RenderPartial("~/Views/_Custom/BlockBegin.ascx",
		new
		{
			Height = 250,
			WidthPercent = 100,
			Title = Model.Title
		});

	Response.Write(BlockBody);

	Html.RenderPartial("~/Views/_Custom/Paging.ascx",
		new
		{
			Current = Model.Page,
			Total = Model.PagesTotal,
			LinkTemplate = String.Format(
				@"{0}Document/List/{1}/{{PAGE}}",
				Base.Vars.BaseAppPath,
				Model.MenuID
			)
		});
	
	Html.RenderPartial("~/Views/_Custom/BlockEnd.ascx");
%>
</asp:Content>
