﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<Keysystems.MCUB.Models.DiagramCP>" %>
<%@ Import Namespace="Keysystems.MCUB" %>
<%@ Import Namespace="Keysystems.MCUB.Models" %>

<asp:Content ID="Content3" ContentPlaceHolderID="Header" runat="server">
	<% Html.RenderPartial("~/Views/_Custom/Highcharts/Init.ascx"); %>
</asp:Content>
<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	Диаграмма :: <%: Base.Vars.AppTitle %>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
<%
	string categories = "";
	string data = "";
	foreach (DateTime key in Model.Data.Keys)
	{
		if (categories != "")
		{
			categories += "','";
			data += ",";
		}
		categories += key.ToString("dd.MM.yyyy");
		data += Model.Data[key].ToString().Replace(",",".");
	}
%>
<script type="text/javascript">
	var hc_chart_diag;
	var hc_chart_diag_categories = ['<%= categories %>'];
	var hc_chart_diag_data = [<%= data %>];
	function initChart(){
		hc_chart_diag = new Highcharts.Chart({
			chart: {
				renderTo: 'diag'
			},
			title: {
				text: '<%: Model.Title %>'
			},
			xAxis: {
				categories: hc_chart_diag_categories,
				labels: {
					rotation: -60,
					y: 35
				}
			},
			yAxis: {
				title: {
					text: 'Млн.руб.'
				},
				labels: {
					formatter: function () {
						return this.value / 1000000;
					}
				}
			},
			legend: {
				enabled: false
			},
			credits: {
				enabled: false
			},
			tooltip: {
				formatter: function () {
					return Highcharts.numberFormat(this.y, 2, ',', ' ');
				}
			},
			plotOptions: {
				column: {
					pointPadding: 0,
					groupPadding: 0
				}
			},
			series: [
				{ type:'column', color:'#8060d0', data: hc_chart_diag_data },
				{ type:'spline', color:'#FFa080', data: hc_chart_diag_data }
			]
		});
	}

	$(document).ready(function () {
		initChart();
	});

	function setPeriod(per)
	{
		$('#diagram_loading').show();
		$.ajax({
			url: BaseAppPath + 'Ajax/DiagramData',
			data: {Code: '<%= Model.Code %>', Period: per},
			dataType: "json",
			cache: false,
			success: function (data, textStatus) {
				$('#diagram_loading').hide();
				hc_chart_diag_data = data.data;
				hc_chart_diag_categories = data.categories;
				initChart();
			},
			error: function (XMLHttpRequest, textStatus, errorThrown)
			{
				window.alert(textStatus);
			}
		});
	}
</script>
<%
	Html.RenderPartial("~/Views/_Custom/BlockBegin.ascx",
		new
		{
			Height = 500,
			WidthPercent = 70,
			Title = Model.Title
		});
%>
		<div style='height:50px'>
		<img id='Img1' alt='loading' src='<%: Base.Vars.BaseAppPath %>Content/images/loading.gif' style='display:none' />
		<a href="#" onclick="setPeriod(0)">7D</a>&nbsp;
		<a href="#" onclick="setPeriod(1)">1M</a>&nbsp;
		<a href="#" onclick="setPeriod(2)">2M</a>&nbsp;
		<a href="#" onclick="setPeriod(3)">3M</a>&nbsp;
		<a href="#" onclick="setPeriod(6)">6M</a>&nbsp;
		<a href="#" onclick="setPeriod(12)">12M</a>&nbsp;
		</div>
		<div id="diag" style="height: 450px; margin: 0 auto"></div>
<%
	Html.RenderPartial("~/Views/_Custom/BlockEnd.ascx");

	Response.Write("<div style='width:30%;float:left'>");
	Html.RenderAction("BlockIndicatorsControl", "Page");
	Response.Write("</div>");
%>
</asp:Content>
