﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<Keysystems.MCUB.Models.Indicators>" %>

<%  var data = ((Keysystems.MCUB.Models.Indicators)ViewData["Indicators"]).Data;

	List<String> dates = new List<string>();
	List<String> values = new List<string>();
	String title = "";
	for (int i = data.Count-1; i >= 0; i--)
	{
		dates.Add(data[i].Key.ToString("dd.MM"));
		var docline = data[i].Value.Where( x => x.Key == (string)ViewData["Type"]).Select(x => x.Value).First();
		var value = docline.Where(y => y.Key == "Value").Select(y => y.Value).First().ToString().Replace(",",".");
		title = docline.Where(y => y.Key == "Name").First().Value.ToString();
		values.Add(value);
	}
	
%>
<script type="text/javascript">
	var hc_chart_<%: ViewData["ContainerName"] %>;
	$(document).ready(function () {
		hc_chart_<%: ViewData["ContainerName"] %> = new Highcharts.Chart({
			chart: {
				renderTo: '<%: ViewData["ContainerName"] %>',
				defaultSeriesType: 'column'
			},
			title: {
				text: '<%: title %>'
			},
			xAxis: {
				categories: ['<%= dates.Aggregate((first, second) => first + "','" + second)  %>'],
				labels: {
					rotation: -60,
					y: 20
				}
			},
			yAxis: {
				title: {
					text: 'Млн.руб.'
				},
				labels: {
					formatter: function () {
						return this.value / 1000000;
					}
				}
			},
			legend: {
				enabled: false
			},
			credits: {
				enabled: false
			},
			tooltip: {
				formatter: function () {
					return Highcharts.numberFormat(this.y, 2, ',', ' ');
				}
			},
			plotOptions: {
				column: {
					pointPadding: 0,
					groupPadding: 0,
					color: '<%: ViewData["ColumnColor"] %>'
				}
			},
			series: [{ data: [<%= values.Aggregate((first, second) => first + "," + second)  %>] }]
		});


	});
				
</script>
