/****** Object:  Table [dbo].[mcub_menu]    Script Date: 02/14/2011 10:32:16 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[mcub_menu](
	[id] [int] IDENTITY(1,1) NOT NULL,
	[title] [varchar](1000) NOT NULL,
	[type] [int] NOT NULL CONSTRAINT [DF_mcub_menu_type]  DEFAULT ((0)),
	[order] [int] NOT NULL CONSTRAINT [DF_mcub_menu_order]  DEFAULT ((0)),
	[parent] [int] NOT NULL CONSTRAINT [DF_mcub_menu_parent]  DEFAULT ((0)),
	[is_main] [bit] NOT NULL CONSTRAINT [DF_mcub_menu_is_main]  DEFAULT ((0)),
	[value] [varchar](8000) NOT NULL,
	[server] [varchar](128) NULL,
	[db] [varchar](128) NULL,
	[img] [varchar](128) NULL,
 CONSTRAINT [PK_mcub_menu] PRIMARY KEY CLUSTERED 
(
	[id] ASC
) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF


/****** Object:  Table [dbo].[mcub_parameters]    Script Date: 02/14/2011 10:34:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[mcub_parameters](
	[key] [varchar](100) NOT NULL,
	[value] [varchar](8000) NULL
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF

/****** Object:  Table [dbo].[mcub_twitter_statuses]    Script Date: 02/14/2011 10:34:57 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[mcub_twitter_statuses](
	[Id] [bigint] NOT NULL,
	[CreatedDate] [datetime] NOT NULL,
	[InReplyToStatusId] [bigint] NULL,
	[Text] [varchar](500) NOT NULL,
	[UserId] [bigint] NOT NULL,
	[UserName] [varchar](500) NOT NULL,
	[UserScreenName] [varchar](500) NOT NULL,
	[IsFavorited] [bit] NOT NULL,
	[TopStatusId] [bigint] NULL,
	[ProfileImageUrl] [varchar](500) NOT NULL,
	[IsRead] [bit] NOT NULL,
 CONSTRAINT [PK_mcub_twitter_statuses2] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF

/****** Object:  Table [dbo].[mcub_user_params]    Script Date: 02/14/2011 10:35:13 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[mcub_user_params](
	[user_id] [int] NOT NULL,
	[key] [varchar](100) NOT NULL,
	[value] [varchar](8000) NULL,
 CONSTRAINT [PK_mcub_user_params] PRIMARY KEY CLUSTERED 
(
	[user_id] ASC,
	[key] ASC
) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF

/****** Object:  Table [dbo].[mcubDocFields]    Script Date: 02/14/2011 10:35:30 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING OFF
GO
CREATE TABLE [dbo].[mcubDocFields](
	[Link] [int] IDENTITY(1,1) NOT NULL,
	[DocCode] [varchar](100) NOT NULL,
	[Field] [varchar](100) NOT NULL
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF


/****** Object:  Table [dbo].[McubReportCashe]    Script Date: 02/14/2011 10:35:45 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[McubReportCashe](
	[link] [int] IDENTITY(1,1) NOT NULL,
	[LinkRep] [int] NOT NULL,
	[Server] [varchar](100) NOT NULL,
	[Base] [varchar](100) NOT NULL,
	[Date] [varchar](10) NOT NULL,
	[Path] [varchar](500) NOT NULL
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF
/****** Object:  Table [dbo].[mcub_twitter_messages]    Script Date: 02/14/2011 10:34:41 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[mcub_twitter_messages](
	[id] [bigint] NOT NULL,
	[from_id] [bigint] NOT NULL,
	[to_id] [bigint] NOT NULL,
	[date] [datetime] NOT NULL,
	[text] [varchar](2000) NOT NULL,
 CONSTRAINT [PK_mcub_twitter_messages] PRIMARY KEY CLUSTERED 
(
	[id] ASC
) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF

/****** Object:  Table [dbo].[mcub_modules]    Script Date: 02/14/2011 10:32:54 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[mcub_modules](
	[id] [int] IDENTITY(1,1) NOT NULL,
	[menu_id] [int] NOT NULL CONSTRAINT [DF_ArmMainMenu_parent]  DEFAULT ((0)),
	[orders] [int] NOT NULL,
	[type] [varchar](128) NOT NULL,
	[container] [varchar](128) NULL,
	[name] [varchar](256) NOT NULL,
	[params] [varchar](4096) NOT NULL,
	[value] [text] NULL,
	[server] [varchar](128) NULL,
	[db] [varchar](128) NULL,
	[class_postfix] [varchar](128) NULL,
 CONSTRAINT [PK_ArmMainMenu] PRIMARY KEY CLUSTERED 
(
	[id] ASC
) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
EXEC dbo.sp_addextendedproperty @name=N'MS_Description', @value=N'0 - 
1 -     
2 -  
3 - Frame (value = url )
4 - Report
5 -   ()
6 -   ()' , @level0type=N'USER',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'mcub_modules', @level2type=N'COLUMN',@level2name=N'type'
/****** Object:  Table [dbo].[mcub_favorites]    Script Date: 02/14/2011 10:30:18 ******/

SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[mcub_favorites](
	[id] [int] IDENTITY(1,1) NOT NULL,
	[user_id] [int] NOT NULL,
	[menu_id] [int] NOT NULL,
	[order] [int] NOT NULL,
 CONSTRAINT [PK_mcub_favorites] PRIMARY KEY CLUSTERED 
(
	[id] ASC
) ON [PRIMARY],
 CONSTRAINT [IX_UNIQUE_Table_user_id_menu_id] UNIQUE NONCLUSTERED 
(
	[user_id] ASC,
	[menu_id] ASC
) ON [PRIMARY]
) ON [PRIMARY]
go
